/* Google fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700;800;900&display=swap");

/* css variables */

:root {
  --first-color: #4070f4;
  --second-color: #0e2431;
}

/* fonts */
:root {
  --body-font: "Poppins", sans-serif;
  --big-font-size: 2rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: 0.938rem;
  --title-font-size: 3rem;
}

@media screen and (min-width: 768px) {
  :root {
    --big-font-size: 3.5rem;
    --h2-font-size: 2rem;
    --normal-font-size: 1rem;
    --title-font-size: 6rem;
  }
}
/* margins */
:root {
  --mb-1: 0.5rem;
  --mb-2: 1rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;
  --header-height: 3rem;
}
/* z-index */
:root {
  --z-back: -10;
  --z-normal: 1;
  --z-tooltip: 10;
  --z-fixed: 100;
}

/* Base */
*,
::before,
::after {
  box-sizing: border-box;
}

html {
  cursor: url("./assets/img/cursor.png"), pointer;
  scroll-behavior: smooth;
}
body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--second-color);
}
h1,
h2,
p {
  margin: 0;
}
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
  height: auto;
  display: block;
}

/* class css */
.section-title {
  position: relative;
  font-size: var(--h2-font-size);
  color: var(--first-color);
  margin-top: var(--mb-2);
  margin-bottom: var(--mb-4);
  text-align: center;
}
.section-title::after {
  position: absolute;
  content: "";
  width: 64px;
  height: 0.18rem;
  margin: auto;
  left: 0;
  right: 0;
  top: 2rem;
  background-color: var(--first-color);
}
.section {
  padding-top: 3rem;
  padding-bottom: 2rem;
}
/* layout */
.bd-grid {
  max-width: 1024px;
  display: grid;
  grid-template-columns: 100%;
  grid-column-gap: 2rem;
  width: calc(100% - 2rem);
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
}

.l-header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: #fff;
  box-shadow: 0 1px 4px rgba(146, 161, 176, 0.15);
}
/* nav */
.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: var(--font-semi);
}

@media screen and (max-width: 768px) {
  .nav__menu {
    position: fixed;
    top: var(--header-height);
    right: -100%;
    width: 42%;
    height: 100%;
    padding: 2rem;
    background-color: var(--second-color);
    transition: 0.5s;
  }
}
.nav__item {
  margin-bottom: var(--mb-4);
}
.nav__link {
  position: relative;
  color: white;
}
.nav__link:hover {
  position: relative;
}
.nav__link:hover::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 1.75rem;
  background-color: var(--first-color);
}
.nav__logo {
  color: var(--second-color);
  font-weight: bold;
}
.nav__toggle {
  color: var(--second-color);
  font-size: 1.5rem;
  cursor: pointer;
}
/* active menu */
.active::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 1.75rem;
  background-color: var(--first-color);
}

/* show menu */
.show {
  right: 0;
}

/* home */
.home {
  height: calc(100vh - 3rem);
  row-gap: 1rem;
}
.home__data {
  align-self: center;
}
.home__title {
  font-size: var(--title-font-size);
  margin-bottom: var(--mb-5);
  font-weight: 500;
  line-height: 1.1;
}
.home__title-color {
  color: var(--first-color);
}
.black-text-shadow {
  color: var(--first-color);
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000,
    1px 1px 0 #000;
}
.home__social {
  display: flex;
  flex-direction: column;
}
.home__social-icon {
  width: max_content;
  margin-bottom: var(--mb-2);
  font-size: 1.5rem;
  color: var(--second-color);
}
.home__social-icon:hover {
  color: var(--first-color);
}
.home__img {
  position: absolute;
  bottom: -4%;
  right: 0%;
  z-index: -1;
}
/* buttons */
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: white;
  padding: 0.75rem 2.5rem;
  font-weight: var(--h2-font-size);
  border-radius: 0.5rem;
}
.button:hover {
  box-shadow: 5px 10px 36px rgba(0, 0, 0, 0.75);
}

/* about */
.about__container {
  row-gap: 2rem;
  text-align: center;
}
.about__subtitle {
  margin-bottom: var(--mb-2);
}
/*
.about__img {
  justify-self: center;
  position: relative;
  top: 40%;
  left: -20%;
  width: 1px;
  height: 1px;
  border-radius: 50%;
  background-color: #fff;
  box-shadow: 0 0 60px 30px #fff, 0 0 100px 60px #4070f4, 0 0 140px 90px #0ff;
}
*/
/* skills */
.skills__container {
  row-gap: 2rem;
  text-align: center;
}
.skills__subtitle {
  margin-bottom: var(--mb-2);
}
.skills__text {
  margin-bottom: var(--mb-4);
}
.skills__data {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  font-weight: var(--font-semi);
  padding: 0.5rem 1rem;
  margin-bottom: var(--mb-4);
  border-radius: 0.5rem;
  box-shadow: 2px 3px 22px rgba(14, 36, 49, 0.5);
}
.skills__icon {
  font-size: 2rem;
  margin-right: var(--mb-2);
  color: var(--first-color);
}
.skills__names {
  display: flex;
  align-items: center;
}
.skills__bar {
  position: absolute;
  left: 0;
  bottom: 0;
  background-color: var(--first-color);
  height: 0.25rem;
  border-radius: 0.5rem;
  z-index: var(--z-back);
}

.skills__html {
  width: 80%;
}
.skills__css {
  width: 75%;
}
.skills__java {
  width: 70%;
}
.skills__python {
  width: 60%;
}
.skills__img {
  border-radius: 0.5rem;
}

/* work */
.work {
  border-radius: 0.5rem;
}
.work__container {
  row-gap: 2rem;
}
.work__img {
  box-shadow: 0 6px 30px rgba(14, 36, 49, 0.6);
  border-radius: 0.5rem;
  overflow: hidden;
}

.work__img img:hover {
  transform: scale(1.1);
}

/* contact */
.contact__input {
  width: 100%;
  font-size: var(--normal-font-size);
  font-weight: var(--font-semi);
  padding: 1rem;
  border-radius: 0.5rem;
  border: 1.5px solid var(--second-color);
  outline: none;
  margin-bottom: var(--mb-4);
}
.contact__button {
  display: block;
  border: none;
  outline: none;
  font-size: var(--normal-font-size);
  cursor: pointer;
  margin-left: auto;
}
/* footer */
.footer {
  background-color: var(--second-color);
  color: #fff;
  text-align: center;
  font-weight: var(--font-semi);
  padding: 2rem 0;
}
.footer__title {
  font-size: 2rem;
  margin-bottom: var(--mb-4);
}
.footer__social {
  margin-bottom: var(--mb-4);
}
.footer__icon {
  font-size: 1.5rem;
  color: #fff;
  margin: 0 var(--mb-2);
}

.home__img {
  width: 440px;
  height: 440px;
  border-radius: 50%;
  box-shadow: 0 0 20px #fff, -20px 0 80px #4070f4, 20px 0 80px #0ff,
    inset 0 0 50px #fff, inset 50px 0 80px #4070f4, inset -50px 0 80px #0ff,
    inset 50px 0 300px #4070f4, inset -50px 0 300px #0ff;
  animation: pulsate 6s linear infinite;
}

@keyframes pulsate {
  50% {
    box-shadow: 0 0 20px #fff, 20px 0 80px #4070f4, -20px 0 80px #4070f4,
      inset 0 0 50px #fff, inset -50px 0 80px #4070f4, inset 50px 0 80px #0ff,
      inset -50px 0 300px #4070f4, inset 50px 0 300px #0ff;
  }
}

/* media queries */
@media screen and (min-width: 768px) {
  body {
    margin: 0;
  }
  .section {
    padding-top: 4rem;
    padding-bottom: 3rem;
  }
  .section-title {
    margin-top: var(--mb-4);
    margin-bottom: var(--mb-6);
  }
  .section-title::after {
    width: 80px;
    top: 3rem;
  }
  .nav {
    height: 3.75rem;
  }
  .nav__list {
    display: flex;
    padding-top: 0;
  }
  .nav__item {
    margin-left: var(--mb-6);
    margin-bottom: 0;
  }
  .nav__toggle {
    display: none;
  }
  .nav__link {
    color: var(--second-color);
  }
  .home {
    height: 100vh;
  }
  .home__data {
    align-self: flex-end;
  }
  .home__social {
    padding-top: 0;
    padding-bottom: 2.5rem;
    flex-direction: row;
    align-self: flex-end;
    margin-left: 6px;
  }
  .home__social-icon {
    margin-bottom: 0;
    margin-right: var(--mb-4);
  }
  .home__img {
    width: 900px;
    height: 900px;
    position: absolute;
    left: 8%;
    top: 13%;
  }
  .about {
    margin-top: 9.5rem;
    margin-bottom: 7rem;
  }
  .about__subtitle {
    font-size: var(--h2-font-size);
    font-weight: 500;
  }
  .about__container {
    grid-template-columns: 1fr 300px;
    align-items: center;
    text-align: initial;
  }
  .about__img {
    width: 500px;
    height: 500px;
    border-radius: 50%;
    box-shadow: 0 0 20px #fff, -20px 0 80px #4070f4, 20px 0 80px #0ff,
      inset 0 0 50px #fff, inset 50px 0 80px #4070f4, inset -50px 0 80px #0ff,
      inset 50px 0 300px #4070f4, inset -50px 0 300px #0ff;
    animation: pulsate 6s linear infinite;
    margin-left: 3rem;
  }
  .about__text {
    font-size: 22px;
  }

  .skills__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    text-align: initial;
  }
  .skills__ball {
    width: 400px;
    height: 400px;
    border-radius: 50%;
    box-shadow: 0 0 20px #fff, -20px 0 80px #4070f4, 20px 0 80px #0ff,
      inset 0 0 50px #fff, inset 50px 0 80px #4070f4, inset -50px 0 80px #0ff,
      inset 50px 0 300px #4070f4, inset -50px 0 300px #0ff;
    animation: pulsate 6s linear infinite;
    position: absolute;
    top: 205%;
    left: -5%;
    z-index: -1;
  }
  .work__ball {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    box-shadow: 0 0 20px #fff, -20px 0 80px #4070f4, 20px 0 80px #0ff,
      inset 0 0 50px #fff, inset 50px 0 80px #4070f4, inset -50px 0 80px #0ff,
      inset 50px 0 300px #4070f4, inset -50px 0 300px #0ff;
    animation: pulsate 6s linear infinite;
    position: absolute;
    top: 310%;
    right: 0%;
    z-index: -1;
  }
  .work__container {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    column-gap: 1.75rem;
  }

  .work__img {
    max-height: 170px;
  }
  .contact__form {
    width: 360px;
  }
  .contact__container {
    justify-items: center;
  }
}

@media screen and (min-width: 1024px) {
  .bd-grid {
    margin-left: auto;
    margin-right: auto;
  }
  .home__img {
    right: 10%;
  }
}
::-webkit-scrollbar {
  width: 12px;
}
::-webkit-scrollbar-thumb {
  background: linear-gradient(transparent, var(--first-color));
  border-radius: 6px;
}
